Gentoo Archives: gentoo-accessibility

From: John Robinson <jbr100uk@××××××××××.com>
To: gentoo-accessibility@l.g.o
Subject: [gentoo-accessibility] Alsa isn't working for me on the latest Gentoo AMD64 live DVD
Date: Tue, 06 Oct 2009 22:12:27
Hi everyone.  Following the messages on this list requesting more 
testers for the latest Gentoo live DVD, I recently downloaded the most 
recent Gentoo AMD64 live DVD and have been experimenting with it.  When 
booting into the DVD, Speakup works very well with my Dectalk USB used 
like a Dectalk Express, but Alsa doesn't load at all, so I currently 
have no way of using the live DVD with software speech, as I had 
originally hoped.  I haven't copied down the exact messages, but the 
errors basically are that none of the Alsa modules such as SND-HDA-INTEL 
required for my system can be inserted due to disagreement about their 
versions.  I booted the DVD with the following command:

gentoo speakup.synth=dectlk nox

I should point out that, even when I specified nox, the X-server still 
started.  If anyone needs any more information about my system to 
identify what is causing these problems, please let me know.  If anyone 
has any advice as to how I may get Alsa to load properly when I boot the 
DVD, I'd be very grateful to hear from you!  I should mention that, even 
when I type /etc/init.d/asound restart at the Live DVD prompt, I get 
just the same errors as I did when booting the DVD.

Many thanks,

John Robinson